export declare class EclCategoryFilterItem {
    el: HTMLElement;
    styleClass: string;
    theme: string;
    label: string;
    path: string;
    level: number;
    subItems: boolean;
    expanded: boolean;
    lastClicked: HTMLElement;
    clickedItem(ev: any): void;
    getClass(): string;
    getLinkClass(): string;
    componentWillLoad(): void;
    render(): any;
}
